package com.simuwang.base.pojo.dto.query;

import com.simuwang.base.common.support.query.PageQuery;
import lombok.Data;

/**
 * FileName: DeletionPageQuery
 * Author:   chenjianhua
 * Date:     2024/9/17 18:19
 * Description: ${DESCRIPTION}
 */
public class DeletionPageQuery extends PageQuery {
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 缺失类型，-1对应全部，1-净值缺失，2-对应规模缺失，3-对应分红缺失
     */
    private Integer deletionType;
    /**
     * 未处理缺失数量开始区间
     */
    private Integer deletionStartNum;
    /**
     * 未处理缺失数量结束区间
     */
    private Integer deletionEndNum;

    public String getFundName() {
        return fundName;
    }

    public void setFundName(String fundName) {
        this.fundName = fundName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getDeletionType() {
        return deletionType;
    }

    public void setDeletionType(Integer deletionType) {
        this.deletionType = deletionType;
    }

    public Integer getDeletionStartNum() {
        return deletionStartNum;
    }

    public void setDeletionStartNum(Integer deletionStartNum) {
        this.deletionStartNum = deletionStartNum;
    }

    public Integer getDeletionEndNum() {
        return deletionEndNum;
    }

    public void setDeletionEndNum(Integer deletionEndNum) {
        this.deletionEndNum = deletionEndNum;
    }
}
